Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575230 - Fedora 28 LiveCD gets stuck at after few minutes of starting user session
Summary: Fedora 28 LiveCD gets stuck at after few minutes of starting user session
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 10:00 UTC by Amitosh Swain Mahapatra
Modified: 2019-05-28 20:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:06:52 UTC
Type: Bug


Attachments (Terms of Use)
lsmod (5.84 KB, text/plain)
2018-05-05 10:00 UTC, Amitosh Swain Mahapatra
no flags Details
lshw -santize (25.57 KB, text/plain)
2018-05-05 10:01 UTC, Amitosh Swain Mahapatra
no flags Details
dmesg in workstation gnome edition (240.16 KB, text/plain)
2018-05-05 15:11 UTC, Amitosh Swain Mahapatra
no flags Details

Description Amitosh Swain Mahapatra 2018-05-05 10:00:07 UTC
Created attachment 1431859 [details]
lsmod

Description of problem:

Fedora 28 KDE Spin LiveCD gets stuck at KDE splash animation.


Version-Release number of selected component (if applicable): 28


How reproducible: Always


Steps to Reproduce:
1. Boot a Fedora LiveCD
2. Select "Verify this media and Start Fedora 28"

Actual results:

KDE splash screen is stuck. Sometimes, the splash screen even does not appear.


Expected results:

Fedora should display the KDE desktop.


Additional info:

My laptop has an NVIDIA 1050Ti with Optimus.

00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GP107M [GeForce GTX 1050 Ti Mobile] (rev a1)

I booted into the console and saved the lsmod output, just before issuing startx. I have attached it as an attachment. Since after issuing startx, the system is completely unresponsive, I was not able to collect any other information.

Comment 1 Amitosh Swain Mahapatra 2018-05-05 10:01:22 UTC
Created attachment 1431860 [details]
lshw -santize

This was taken before startx

Comment 2 Amitosh Swain Mahapatra 2018-05-05 15:08:43 UTC
The same problem also happens with Gnome. However, if luck favors, I sometimes can reach the terminal, or start a tty. I have attached a new dmesg, that shows repeated nouveau crashes, which ultimately hangs the whole system.

It's interesting to note that Gnome version actually manages to recover from the nouveau crashes for the first few minutes (at least that's what ARBT says)

Comment 3 Amitosh Swain Mahapatra 2018-05-05 15:11:27 UTC
Created attachment 1431952 [details]
dmesg in workstation gnome edition

Nouveau crashes happen more and more often till the point the system hangs.

Comment 4 Rex Dieter 2018-05-06 13:01:05 UTC
This is almost certainly a video driver issue (not specific to a specific spin), triaging there.

Comment 5 Ben Cotton 2019-05-02 21:50:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:06:52 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.